<?php   #php self url
 
function selfURL() {
    $s = empty($_SERVER["HTTPS"]) ? ''
    : ($_SERVER["HTTPS"] == "on") ? "s"
    : "";
    $protocol = strleft(strtolower($_SERVER["SERVER_PROTOCOL"]), "/").$s;
    $port = ($_SERVER["SERVER_PORT"] == "80") ? ""
    : (":".$_SERVER["SERVER_PORT"]);
    return substr($protocol."://".$_SERVER['SERVER_NAME'].$port.$_SERVER['REQUEST_URI'],0,strrpos($protocol."://".$_SERVER['SERVER_NAME'].$port.$_SERVER['REQUEST_URI'],"?"));
    }


function strleft($s1, $s2) {
	  return substr($s1, 0, strpos($s1, $s2));
    }
  //  echo(selfURL());
   
?>
